/*
 * UpdateElementsAndMaterialsControl:
 */

#include "../../../toolkits/toolkits.h"
#include "../../../classes/classes.h"
#include "../../../shared/shared.h"
#include "../../MeshPartitionx/MeshPartitionx.h"
#include "../ModelProcessorx.h"

void	UpdateElementsAndMaterialsDakota(Elements* elements,Materials* materials, IoModel* iomodel){

	/*recover parameters: */
	bool dakota_analysis;
	iomodel->Constant(&dakota_analysis,QmuIsdakotaEnum);

	if(dakota_analysis){
		iomodel->FetchDataToInput(elements,GeometryHydrostaticRatioEnum,0.);
	}
}
